%define orig_name lxpanel

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           lxde-lxpanel
Summary:	LXPanel is a lightweight X11 desktop panel.
URL:		http://lxde.org/
License:	GPL
Version:	0.5.3
Release:	1
BuildArch:	i686
Group:		Graphical Desktop/LXDE
Source:		%{orig_name}-%{version}.tar.gz
Patch1:         lxpanel-default.patch
Requires:	lxde-lxmenu-data
Requires:       lxde-menu-cache
Provides:	%{orig_name} = %{version}
Obsoletes:	%{orig_name} <= %{version}
#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel lxde-menu-cache-devel

%description
LXPanel is a lightweight X11 desktop panel.

%package devel
Summary:        %{name} development headers.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:	%{orig_name}-devel = %{version}
Obsoletes:	%{orig_name}-devel <= %{version}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{orig_name}-%{version}
#%patch1 -p1

%build
%configure --disable-debug
touch -r po/Makefile po/stamp-it
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/
#%{_datadir}/desktop-directories/
%{_datadir}/locale/
%{_datadir}/lxpanel/
%{_libdir}/lxpanel/
%{_mandir}/

%files devel
%defattr(-,root,root)
%{_includedir}/
%{_pkgconfig}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.3-1
- Version update
- rename package to lxde-lxpanel
* Sun Mar 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.999-1
- Version update
* Sun Mar 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.99-2
- added default patch
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.99-1
- initial CCux package release
